Package com.google.javascript.jscomp

# Class CodingConvention.SubclassRelationship

java.lang.Object
com.google.javascript.jscomp.CodingConvention.SubclassRelationship

Enclosing interface:
  `CodingConvention`

public static class CodingConvention.SubclassRelationship extends Object

## Constructor Summary

Constructors
Constructor
Description
`SubclassRelationship(CodingConvention.SubclassType type, Node subclassNode, Node superclassNode)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubclassRelationship

public SubclassRelationship(CodingConvention.SubclassType type, Node subclassNode, Node superclassNode)